aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGravatar lostd <lostd@2f30.org>2014-10-23 00:12:57 +0300
committerGravatar lostd <lostd@2f30.org>2014-10-23 00:12:57 +0300
commit1c23cbc2ad07ae62c47ce1b091c86dd112c469f9 (patch)
tree0df3d0c85d85f843f112a2a21ba62c7963930552
parentd84c3b1079091298e7f92cf9fcf21416f3fe2c6d (diff)
downloadnnn-1c23cbc2ad07ae62c47ce1b091c86dd112c469f9.tar.gz
Create test files and directories
-rw-r--r--mktest.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/mktest.sh b/mktest.sh
new file mode 100644
index 0000000..8ab7be5
--- /dev/null
+++ b/mktest.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+# Create test files and directories
+
+test -e test && {
+ echo "Remove test and try again"
+ exit 1
+}
+
+mkdir test && cd test
+
+echo 'It works!' > normal.txt
+ln -s normal.txt ln-normal.txt
+ln -s normal.txt ln-normal
+mkdir normal-dir
+ln -s normal-dir ln-normal-dir
+ln -s nowhere ln-nowhere
+mkfifo mk-fifo
+touch no-access && chmod 000 no-access
+ln -s ../normal.txt normal-dir/ln-normal.txt
+ln -s ../normal.txt normal-dir/ln-normal